TKN-HUB-INSTALL(1)

NAME

tkn-hub-install - Install a resource from a catalog by its kind, name and version

SYNOPSIS

tkn hub install

DESCRIPTION

Install a resource from a catalog by its kind, name and version

OPTIONS

-c, --context=""
    Name of the kubeconfig context to use (default: kubectl config current-context)

--from=""
    Name of Catalog to which resource belongs.

-h, --help[=false]
    help for install

-k, --kubeconfig=""
    Kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    Namespace to use (default: from $KUBECONFIG)

--version=""
    Version of Resource

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL. For artifact type: default ' ⟨https://artifacthub.io'⟩ (env: ARTIFACT_HUB_API_SERVER) For tekton type (DEPRECATED): default ' ⟨https://api.hub.tekton.dev'⟩ (env: TEKTON_HUB_API_SERVER) Can also be set in '$HOME/.tekton/hub-config'.

--type="artifact"
    The type of Hub from where to pull the resource. Either 'artifact' or 'tekton' (DEPRECATED: tekton type will be removed in a future release)

SEE ALSO

tkn-hub(1), tkn-hub-install-task(1)